KCLANGCTEST(1)

NAME
kclangctest - command line interface to test the C language binding

DESCRIPTION

The command `kclangctest' is a utility for facility test and performance test of the C language binding. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kclangctest order [-rnd] [-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] path rnum
        Performs in-order tests.
    kclangctest index [-rnd] [-etc] [-oat|-onl|-onl|-otl|-onr] path rnum
        Performs indexing operations.
    kclangctest map [-rnd] [-etc] [-bnum num] rnum
        Performs test of memory-saving hash map.
    kclangctest list [-rnd] [-etc] rnum
        Performs test of memory-saving array list.

Options feature the following.

    -rnd : performs random test.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -bnum num : specifies the number of buckets of the hash table.

This command returns 0 on success, another on failure.

SEE ALSO

kcpolymgr(1), kcpolytest(1)